Skip to main content
GET
Get an AI Deliverability Agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

AI Deliverability Agent ID. Call GET /api/v2/ai-agents/deliverability and use the returned agent.id value to retrieve the workspace default agent ID.

Example:

"01a1f0d3-6480-7ffa-9882-709300a7ae65"

Response

The requested AI Deliverability Agent

An AI Deliverability Agent

id
string<uuid>
required
read-only

Unique identifier for the AI agent

Example:

"01a1f0d3-2447-7ff3-a5f8-a1abd6c5930d"

organization_id
string<uuid>
required
read-only

Organization ID

Example:

"01a1f0d3-2447-7ff3-a5f8-a1ac70a7aef8"

name
string
required

Name of the AI Agent

Example:

"Test AI Agent"

timestamp_created
string
required
read-only

Timestamp when the AI agent was created

Example:

"2026-11-18T22:42:11.655Z"

timestamp_updated
string
required
read-only

Timestamp when the AI agent was updated

Example:

"2026-11-18T22:42:11.655Z"

status
enum<number>
required

Status of the AI Agent

Available options:
-1,
0,
1
Example:

1

payload
object

Deliverability Agent payload

type
null | enum<number>

Type of the AI Agent

Available options:
1,
2,
3,
4,
6,
7,
8,
9,
10,
11
Example:

1

is_auto_created
null | boolean

Whether the AI agent was auto-created

Example:

false

created_by
null | string<uuid>
read-only

User ID who created the AI agent

Example:

"01a1f0d3-2447-7ff3-a5f8-a1ad7346d1da"

description
null | string
read-only

Description of the AI agent

Example:

"Optional agent description"